Last Comment Bug 820226 - product/component line in email notifications a bit confusing
: product/component line in email notifications a bit confusing
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: General (show other bugs)
: Production
: All All
: -- normal (vote)
: ---
Assigned To: Reed Loden [:reed] (use needinfo?)
:
Mentors:
Depends on: 417756
Blocks: 820938
  Show dependency treegraph
 
Reported: 2012-12-10 18:06 PST by Cameron McCormack (:heycam)
Modified: 2012-12-19 17:57 PST (History)
4 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch - v1 (1.05 KB, patch)
2012-12-17 21:43 PST, Reed Loden [:reed] (use needinfo?)
dkl: review+
Details | Diff | Splinter Review

Description Cameron McCormack (:heycam) 2012-12-10 18:06:22 PST
I just got a bugmail that included the line:

  Product | Component: Core | Widget: Cocoa

It took me a bit to parse this.  I am not sure I have a good replacement suggestion.  Maybe either:

  Product: Core
  Component: Widget: Cocoa

or

  Product | Component
  Core | Widget: Cocoa

or

  Product & Component: Core | Widget: Cocoa

Sorry for lack of better suggestions.
Comment 1 Wolf [:wolf] 2012-12-13 02:03:33 PST
fwiw. The format of his line is what causes firebot to run into problems, since it matches exactly the format of the Changed table.

mozbot treats lines that look like this:
field| from | to
as part of that table, and since Product matches a valid field name.

So if this format gets changed, avoiding the dual pipes or using a label that isn't an field name would be good.
Comment 2 Reed Loden [:reed] (use needinfo?) 2012-12-17 21:43:28 PST
Created attachment 693243 [details] [diff] [review]
patch - v1

Change to:
Product/Component: bugzilla.mozilla.org :: General
Comment 3 David Lawrence [:dkl] 2012-12-19 08:36:48 PST
Comment on attachment 693243 [details] [diff] [review]
patch - v1

r=dkl
Comment 4 Reed Loden [:reed] (use needinfo?) 2012-12-19 17:57:40 PST
Committing to: bzr+ssh://bzr.mozilla.org/bmo/4.0/
modified extensions/BMO/template/en/default/email/bugmail.html.tmpl
modified extensions/BMO/template/en/default/email/bugmail.txt.tmpl
Committed revision 8424.

Committing to: bzr+ssh://bzr.mozilla.org/bmo/4.2/
modified extensions/BMO/template/en/default/email/bugmail.html.tmpl
modified extensions/BMO/template/en/default/email/bugmail.txt.tmpl
Committed revision 8465.

Note You need to log in before you can comment on or make changes to this bug.